## r-cran-mapproj 1.1

=== DESCRIPTION ===
Package: mapproj
Title: Map Projections
Version: 1.1-8.3
Date: 2011-01-17
Author: Doug McIlroy.  Packaged for R by Ray Brownrigg and Thomas P
        Minka, transition to Plan 9 codebase by Roger Bivand.
Description: Converts latitude/longitude into projected coordinates.
Depends: maps
License: file LICENSE
Maintainer: Thomas P Minka <tpminka@media.mit.edu>
Packaged: 2011-01-17 08:34:49 UTC; rsb
Repository: CRAN
Date/Publication: 2011-01-17 08:42:33

=== Makefile ===

# .o's ordered for a nonrandom library
OBJ= aitoff.o albers.o azequalarea.o elliptic.o azequidist.o  \
bicentric.o bonne.o conic.o cylequalarea.o cylindrical.o eisenlohr.o fisheye.o \
gall.o gilbert.o guyou.o harrison.o hex.o homing.o lagrange.o lambert.o \
laue.o lune.o mercator.o mollweide.o newyorker.o polyconic.o simpleconic.o \
sinusoidal.o tetra.o perspective.o orthographic.o trapezoidal.o \
rectangular.o twocirc.o cuts.o ccubrt.o cubrt.o elco2.o complex.o zcoord.o 

# ignore error on systems without ranlib

libmap.a: ../map.h $(OBJ)
	ar cr libmap.a $(OBJ)
	ranlib libmap.a 2>/dev/null || true

clean:
	rm -f *.o libmap.a

.SUFFIXES.: .c .o
.c.o:
	$(CC) $(CFLAGS) -I.. -c $*.c

=== src/doug/Makefile ===
# /************************************************************
#
# Copyright (C) 1998, Lucent Technologies
# All rights reserved
#
# ************************************************************/

# local settings
#
# BIN		where to install map.sh ("map" command)
# LIB		where to install libmap.a (ld ... -lmap)
# MAPHOME	director of files used by map command
# PROG		"map" in unix/linux; "map.exe" in cygwin
#
CFLAGS = -O -Wall
CC=gcc
BIN = /usr/bin
LIB = /usr/lib
MAPHOME = $(LIB)/map
PROG = map

# usage
# make   	    map command compiled for PostScript output
# make PLOT=plotV   for output to SVR2 and BSD plot filters
# make PLOT=plot0   for output to v10 plot filters
# make route	    see man page route.1


PLOT=plotPS

$(PROG): map.o index.o symbol.o $(PLOT).o libmap/libmap.a
	chmod +x map.sh
	$(CC) $(CFLAGS) -o $(PROG) -DMAPDIR=$(MAPDIR) \
	    map.o index.o symbol.o $(PLOT).o \
	    libmap/libmap.a -lm 2>/dev/null || \
	$(CC) $(CFLAGS) -o $(PROG) -DMAPDIR=$(MAPDIR) \
	    map.o index.o symbol.o $(PLOT).o \
	    libmap/libmap.a -lm -lplot

map.o: map.c map.h plot.h
	$(CC) $(CFLAGS) -c $(CFLAGS) map.c

plotV.o: plotV.c plot.h
	rm -f plot*.o
	$(CC) $(CFLAGS) -c plotV.c

plotPS.o: plotPS.c plot.h
	rm -f plot*.o
	$(CC) $(CFLAGS) -c plotPS.c

plot0.o: plot0.c
	rm -f plot*.o
	$(CC) $(CFLAGS) -c plot0.c

symbol.o: symbol.c map.h

index.o: index.c map.h

route: route.o map.h libmap/libmap.a
	$(CC) $(CFLAGS) route.o libmap/libmap.a -lm -o route

libmap/libmap.a: dummy
	cd libmap; make CC=$(CC) CFLAGS="$(CFLAGS)"

dummy:
	:

ascii2map: ascii2map1 ascii2map2 ascii2map3
	chmod +x ascii2map

ascii2map1: ascii2map1.c
	$(CC) $(CFLAGS) ascii2map1.c -lm -o ascii2map1

ascii2map2: ascii2map2.c
	$(CC) $(CFLAGS) ascii2map2.c -lm -o ascii2map2

ascii2map3:	ascii2map3.c
	$(CC) $(CFLAGS) ascii2map3.c -o ascii2map3

map2ascii: map2ascii.c
	$(CC) $(CFLAGS) map2ascii.c -lm -o map2ascii

install: $(PROG)
	-strip $(PROG)
	test -d $(MAPHOME) || mkdir $(MAPHOME)
	test -d $(MAPHOME)/bin || mkdir $(MAPHOME)/bin
	test -d $(MAPHOME)/lib || mkdir $(MAPHOME)/lib
	cp $(PROG) $(MAPHOME)/bin
	cp map.sh $(BIN)/map
	chmod +x $(BIN)/map
	test -f $(MAPHOME)/lib/world || cp mapdata/* $(MAPHOME)/lib

installall: install route libmap/libmap.a
	strip route
	cp route $(BIN)
	cp libmap/libmap.a $(LIB)

clean:
	rm -f $(PROG) route *.o new.results map.tar*
	cd libmap; make clean

quicktest:
	make PLOT=plotPS
	MAPPROG=./$(PROG) MAPDIR=./mapdata ./map.sh mercator -l 0 10 0 10 -g -b >new.results
	:
	: If any "diff" output follows, it should show only roundoff differences.
	diff test.results new.results

map.tar.gz: dummy
	cd doc; make
	for i in map.sh Makefile; \
		do mv $$i $$i.save; cp $$i.template $$i; \
		done
	tar cf map.tar \
		README Makefile map.sh test.results \
		map.h map.c index.c symbol.c \
		plot.h iplot.h plotPS.c plotV.c plot0.c \
		route.c ascii2map ascii2map[123].c \
		libmap/Makefile libmap/*.c \
		mapdata/world* mapdata/states* mapdata/counties* \
		doc/*
	for i in map.sh Makefile; \
		do mv $$i.save $$i; \
		done
	rm -f map.tar.gz
	gzip map.tar
	echo >/dev/null

## r-cran-mapproj 1.2

=== DESCRIPTION ===
Package: mapproj
Title: Map Projections
Version: 1.2-5
Date: 2017-06-06
Author: Doug McIlroy.  Packaged for R by Ray Brownrigg and Thomas P
        Minka, transition to Plan 9 codebase by Roger Bivand.
Description: Converts latitude/longitude into projected coordinates.
Depends: maps (>= 2.3-0)
Imports: stats, graphics
License: Lucent Public License
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Packaged: 2017-06-07 08:34:30 UTC; dalex
Repository: CRAN
Date/Publication: 2017-06-08 04:43:11 UTC

## r-cran-mapproj 1.2-1

=== debian/changelog ===
r-cran-mapproj (1.2-1-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 31 Mar 2013 20:42:23 -0400

r-cran-mapproj (1.1-8.3-2) unstable; urgency=low

  * Rebuild for R 2.14.  (Closes: #646043)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 20 Oct 2011 21:33:05 -0400

r-cran-mapproj (1.1-8.3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Jan 2011 14:33:54 -0600

r-cran-mapproj (1.1-8.2-1) unstable; urgency=low

  * New upstream release; based on work licensed under the Lucent Public
    License (which is DFSG-free), so moving to main.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 03 Nov 2009 15:22:41 -0600

r-cran-mapproj (1.1-7.2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Aug 2008 18:17:14 -0500

r-cran-mapproj (1.1-7.1-2) unstable; urgency=low

  * Update for latest Standards-Version.
  * Include {shlibs:Depends} to capture libc dependency.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 16 Feb 2008 20:47:08 -0600

r-cran-mapproj (1.1-7.1-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Apr 2005 01:44:29 -0500

r-cran-mapproj (1.1-7-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 29 Oct 2004 16:45:48 -0500

r-cran-mapproj (1.1-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Apr 2004 19:02:43 -0500

r-cran-mapproj (1.1-1) unstable; urgency=low

  * Initial Debian Release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 14 Jan 2004 02:40:32 -0600

=== debian/control ===
Source: r-cran-mapproj
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://cran.r-project.org/package=mapproj

Package: r-cran-mapproj
Architecture: any
Depends: ${R:Depends}, r-cran-maps (>= 2.3-2), ${shlibs:Depends}, ${misc:Depends}
Suggests: r-cran-mapdata
Description: GNU R support for cartographic projections of map data
 This package provides facilities for easily producing cartographic
 projections of maps based on data sets in the GNU R statistical
 computing environment.  Projections are used by mapmakers to
 compensate for the inaccuracies inherent in projecting a spheroid's
 surface onto a two-dimensional plane.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

common-install-arch:: R_any_arch
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING $(debRlib)/$(cranName)/LICENSE

=== debian/watch ===
version=2
http://cran.us.r-project.org/src/contrib/mapproj_(.*)\.tar\.gz

## r-cran-mapproj 1.2-2

=== debian/changelog ===
r-cran-mapproj (1.2-2-1) unstable; urgency=medium

  * New upstream release.
  * Update for R 3.0.x.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Feb 2014 20:39:56 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/package=mapproj
 
 Package: r-cran-mapproj

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,16 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+PKG_CFLAGS=$(CFLAGS)
+PKG_CXXFLAGS=$(CXXFLAGS)
+PKG_CPPFLAGS=$(CPPFLAGS)
+PKG_FFLAGS=$(FFLAGS)
+
+export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS
+
+makeFlags="LDFLAGS=$(LDFLAGS)"
+
 include /usr/share/R/debian/r-cran.mk
 
 common-install-arch:: R_any_arch
-		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING $(debRlib)/$(cranName)/LICENSE
+		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

## r-cran-mapproj 1.2-3

=== debian/changelog ===
r-cran-mapproj (1.2-3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 14 Jul 2015 20:22:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), cdbs, r-cran-maps (>= 2.3-2), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cran.r-project.org/package=mapproj
 
 Package: r-cran-mapproj

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-car package
# Copyright 2003 by Dirk Eddelbuettel <edd@debian.org>

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

common-install-arch:: R_any_arch
		rm -vf $(debRlib)/R.css $(debRlib)/$(cranName)/COPYING

## r-cran-mapproj 1.2-5

=== debian/changelog ===
r-cran-mapproj (1.2-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Take over packaging into Debian Science team
  * debian/source/format: 3.0 (quilt)
  * cme fix dpkg-control
  * debhelper 10
  * Convert from cdbs to dh-r
  * Check watch file and set versio=4 as flag that it was checked
  * DEP5

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 11:01:07 +0200

r-cran-mapproj (1.2-4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 07 Sep 2015 23:23:37 -0400

=== debian/control ===
Source: r-cran-mapproj
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Chris Lawrence <lawrencc@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               r-base-dev (>= 3.0),
               dh-r,
               r-cran-maps (>= 2.3-2)
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-mapproj.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-mapproj.git
Homepage: http://cran.r-project.org/package=mapproj

Package: r-cran-mapproj
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R support for cartographic projections of map data
 This package provides facilities for easily producing cartographic
 projections of maps based on data sets in the GNU R statistical
 computing environment.  Projections are used by mapmakers to
 compensate for the inaccuracies inherent in projecting a spheroid's
 surface onto a two-dimensional plane.

=== debian/watch ===
version=4
http://cran.us.r-project.org/src/contrib/mapproj_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-mapproj 1.2.6

=== debian/changelog ===
r-cran-mapproj (1.2.6-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers
  * Standards-Version: 4.2.1
  * Fix VCS fields.
  * Secure Homepage.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Dec 2018 17:06:33 +0100

r-cran-mapproj (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2018 22:23:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-mapproj
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Chris Lawrence <lawrencc@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                r-base-dev (>= 3.0),
                dh-r,
                r-cran-maps (>= 2.3-2)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-mapproj.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-mapproj.git
-Homepage: http://cran.r-project.org/package=mapproj
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapproj
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapproj.git
+Homepage: https://cran.r-project.org/package=mapproj
 
 Package: r-cran-mapproj
 Architecture: any

## r-cran-mapproj 1.2.7

=== DESCRIPTION ===
Package: mapproj
Title: Map Projections
Version: 1.2.7
Date: 2020-01-31
Author: Doug McIlroy.  Packaged for R by Ray Brownrigg and Thomas P
        Minka, transition to Plan 9 codebase by Roger Bivand.
Description: Converts latitude/longitude into projected coordinates.
Depends: R (>= 3.0.0), maps (>= 2.3-0)
Imports: stats, graphics
License: Lucent Public License
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Packaged: 2020-02-03 08:19:33 UTC; alex
Repository: CRAN
Date/Publication: 2020-02-03 10:10:02 UTC

=== debian/changelog ===
r-cran-mapproj (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Feb 2020 06:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               r-base-dev (>= 3.0),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
-               r-cran-maps (>= 2.3-2)
-Standards-Version: 4.2.1
+               r-base-dev,
+               r-cran-maps
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapproj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapproj.git
 Homepage: https://cran.r-project.org/package=mapproj
 
 Package: r-cran-mapproj
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${R:Depends}
+Depends: ${R:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: GNU R support for cartographic projections of map data

=== debian/watch ===
version=4
https://cran.us.r-project.org/src/contrib/mapproj_@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-mapproj 1.2.8

=== DESCRIPTION ===
Package: mapproj
Title: Map Projections
Version: 1.2.8
Date: 2022-01-12
Author: Doug McIlroy.  Packaged for R by Ray Brownrigg and Thomas P
        Minka, transition to Plan 9 codebase by Roger Bivand.
Description: Converts latitude/longitude into projected coordinates.
Depends: R (>= 3.0.0), maps (>= 2.3-0)
Imports: stats, graphics
License: Lucent Public License
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Repository: CRAN
Packaged: 2022-01-12 10:00:03 UTC; alex
Date/Publication: 2022-01-12 11:32:43 UTC

=== debian/changelog ===
r-cran-mapproj (1.2.8-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2.8
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Nilesh Patra <nilesh@debian.org>  Fri, 14 Jan 2022 23:22:08 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-maps
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapproj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapproj.git
 Homepage: https://cran.r-project.org/package=mapproj

## r-cran-mapproj 1.2.9

=== debian/changelog ===
r-cran-mapproj (1.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 11:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-maps
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapproj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapproj.git
 Homepage: https://cran.r-project.org/package=mapproj
+Rules-Requires-Root: no
 
 Package: r-cran-mapproj
 Architecture: any

## r-cran-mapproj 1.2.11

=== DESCRIPTION ===
Package: mapproj
Title: Map Projections
Version: 1.2.11
Date: 2023-01-12
Author: Doug McIlroy.  Packaged for R by Ray Brownrigg and Thomas P
        Minka, transition to Plan 9 codebase by Roger Bivand.
Description: Converts latitude/longitude into projected coordinates.
Depends: R (>= 3.0.0), maps (>= 2.3-0)
Imports: stats, graphics
License: Lucent Public License
Maintainer: Alex Deckmyn <alex.deckmyn@meteo.be>
NeedsCompilation: yes
Packaged: 2023-01-12 19:17:48 UTC; alex
Repository: CRAN
Date/Publication: 2023-01-12 20:20:02 UTC

=== debian/changelog ===
r-cran-mapproj (1.2.11-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 14:04:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-r,
                r-base-dev,
                r-cran-maps
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mapproj
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mapproj.git
 Homepage: https://cran.r-project.org/package=mapproj

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name COPYING -delete
